Bug 84442 - Image map address bar does not preserve upper-case
Summary: Image map address bar does not preserve upper-case
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-29 00:07 UTC by aniketaranake
Modified: 2015-10-14 19:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screenshots and comments (121.22 KB, application/pdf)
2015-02-04 17:26 UTC, celtic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aniketaranake 2014-09-29 00:07:47 UTC
I am creating an html file with LibreOffice that contains an image map.

When using LibreOffice ImageMap editor, I input web addresses into the top bar which contain some upper case letters. When I save the .html file, I find that the upper case letters have been switched to lower case. This is problematic as web addresses are in general case-sensitive.

From the image map editor, I am able to output the layout as a *.map file. Opening this file in a text editor reveals that the upper-case letters are preserved. For this reason, I suspect that the bug occurs in applying the changes to the active html file.

Keywords: UI Editing
Comment 1 Buovjaga 2014-11-14 16:09:16 UTC
Unable to reproduce.

Here is example output:
<area shape=rect coords="51,46,87,76" href="https://help.libreoffice.org/Common/Adding_Clickable_Hotspots_to_Images" target="_self" alt="helppi">

What Linux distro and desktop environment are you using?
Can you try with version 4.3.x?
Set to UNCONFIRMED, if the bug is still happening. RESOLVED WORKSFORME, if not.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 2 celtic 2015-02-04 17:26:12 UTC
Created attachment 113129 [details]
screenshots and comments

i'm going to attach a file with sreenshots but it is not easy to show the problem the the cursor (or mouse). Please tell if you more information
Comment 3 celtic 2015-02-04 17:28:56 UTC
the machine runs Kubuntu 14.10, kde 4.14, LO 4.3.3.2
Comment 4 celtic 2015-02-04 17:31:57 UTC
oups, i'm terribly sorry, i'm not on right bug. How to delete my comments ?
Comment 5 Buovjaga 2015-02-04 17:37:49 UTC
(In reply to celtic from comment #4)
> oups, i'm terribly sorry, i'm not on right bug. How to delete my comments ?

You can't delete them, sorry.
Comment 6 QA Administrators 2015-09-04 02:56:01 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 7 QA Administrators 2015-10-14 19:49:11 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-10-14